//Renames
<Thaumcraft:blockCustomOre:7>.displayName = "Amber Ore";
<Thaumcraft:blockTaint:1>.displayName = "Tainted Dirt";

//Tooltip
<Thaumcraft:blockTaint:1>.addTooltip(format.gray("SipsCo© Specialist Range"));

//Ore Dictionary REMOVE
<ore:nuggetCopper>.remove(<Thaumcraft:ItemNugget:1>);
<ore:nuggetTin>.remove(<Thaumcraft:ItemNugget:2>);
<ore:nuggetSilver>.remove(<Thaumcraft:ItemNugget:3>);
<ore:nuggetLead>.remove(<Thaumcraft:ItemNugget:4>);
<ore:oreCinnabar>.remove(<Thaumcraft:blockCustomOre>);
<ore:nuggetIron>.remove(<Thaumcraft:ItemNugget>);
<ore:nuggetGold>.remove(<Thaumcraft:ItemResource:18>);

//Ore Dictionary ADD
<ore:awakeningFix3>.add(<Thaumcraft:ItemNugget:3>);
<ore:awakeningFix2>.add(<Thaumcraft:ItemNugget:1>);
<ore:oreQuicksilver>.add(<Thaumcraft:blockCustomOre>);
<ore:pressurePlate>.add(<Thaumcraft:blockWoodenDevice:2>);
<ore:furnace>.add(<Thaumcraft:blockStoneDevice>);
<ore:treeLeaves>.add(<Thaumcraft:blockMagicalLeaves>);
<ore:treeLeaves>.add(<Thaumcraft:blockMagicalLeaves:1>);
<ore:leaves>.add(<Thaumcraft:blockMagicalLeaves>);
<ore:leaves>.add(<Thaumcraft:blockMagicalLeaves:1>);
<ore:biological>.add(<Thaumcraft:blockMagicalLeaves>);
<ore:biological>.add(<Thaumcraft:blockMagicalLeaves:1>);
<ore:biological>.add(<Thaumcraft:blockCustomPlant>);
<ore:biological>.add(<Thaumcraft:blockCustomPlant:1>);
<ore:sapling>.add(<Thaumcraft:blockCustomPlant>);
<ore:sapling>.add(<Thaumcraft:blockCustomPlant:1>);
<ore:boots>.add(<Thaumcraft:ItemBootsThaumium>);
<ore:boots>.add(<Thaumcraft:BootsTraveller>);
<ore:boots>.add(<Thaumcraft:ItemBootsRobe>);
<ore:boots>.add(<Thaumcraft:ItemBootsVoid>);
<ore:boots>.add(<Thaumcraft:ItemBootsCultist>);
<ore:helmet>.add(<Thaumcraft:ItemHelmetThaumium>);
<ore:helmet>.add(<Thaumcraft:ItemHelmetFortress>);
<ore:helmet>.add(<Thaumcraft:ItemHelmetVoid>);
<ore:helmet>.add(<Thaumcraft:ItemHelmetVoidFortress>);
<ore:helmet>.add(<Thaumcraft:ItemHelmetCultistRobe>);
<ore:helmet>.add(<Thaumcraft:ItemHelmetCultistPlate>);
<ore:helmet>.add(<Thaumcraft:ItemHelmetCultistLeaderPlate>);

//Burn Time SET
furnace.setFuel(<Thaumcraft:blockMagicalLeaves>, 10);
furnace.setFuel(<Thaumcraft:blockMagicalLeaves:1>, 10);
furnace.setFuel(<Thaumcraft:blockCustomPlant>, 100);
furnace.setFuel(<Thaumcraft:blockCustomPlant:1>, 100);

//Smeltery Melting REMOVE
mods.tconstruct.Smeltery.removeMelting(<Thaumcraft:ItemNugget>);
mods.tconstruct.Smeltery.removeMelting(<Thaumcraft:ItemNugget:1>);
mods.tconstruct.Smeltery.removeMelting(<Thaumcraft:ItemNugget:2>);
mods.tconstruct.Smeltery.removeMelting(<Thaumcraft:ItemNugget:3>);
mods.tconstruct.Smeltery.removeMelting(<Thaumcraft:ItemNugget:4>);

//Crafting REMOVE
recipes.remove(<Thaumcraft:blockTaint:2>);
recipes.remove(<Thaumcraft:ItemResearchNotes:*>);

//Arcane Workbench REMOVE
mods.thaumcraft.Arcane.removeRecipe(<Thaumcraft:blockTable:14>);

//Infusion Altar REMOVE
mods.thaumcraft.Infusion.removeRecipe(<Thaumcraft:ItemGolemCore:7>);
mods.thaumcraft.Infusion.removeRecipe(<Thaumcraft:blockWoodenDevice:5>);

//Forging Hammer ADD
mods.logistics.hammer.addRecipe(<minecraft:gold_nugget>, <Thaumcraft:ItemResource:18>);

//Crafting Mirrored ADD
recipes.addShapedMirrored(<Thaumcraft:blockTaint:2>, [[<BiomesOPlenty:flesh>, <BiomesOPlenty:flesh>], [<BiomesOPlenty:flesh>, <BiomesOPlenty:flesh>]]);

//Crafting Shapeless ADD
recipes.addShapeless(<Thaumcraft:ItemNuggetFish> * 4, [<ore:listAllfishcooked>, <harvestcraft:cuttingboardItem>]);
recipes.addShapeless(<Thaumcraft:ItemNuggetPork> * 4, [<minecraft:cooked_porkchop>, <harvestcraft:cuttingboardItem>]);
recipes.addShapeless(<Thaumcraft:ItemNuggetBeef> * 4, [<minecraft:cooked_beef>, <harvestcraft:cuttingboardItem>]);
recipes.addShapeless(<Thaumcraft:ItemNuggetChicken> * 4, [<minecraft:cooked_chicken>, <harvestcraft:cuttingboardItem>]);

//Crafting Shaped ADD
recipes.addShaped(<Thaumcraft:blockCustomPlant:4>, [[<BiomesOPlenty:leaves2:2>, <BiomesOPlenty:leaves2:2>, <BiomesOPlenty:leaves2:2>], [<BiomesOPlenty:leaves2:2>, <BiomesOPlenty:leaves2:2>, <BiomesOPlenty:leaves2:2>], [<BiomesOPlenty:leaves2:2>, <BiomesOPlenty:leaves2:2>, <BiomesOPlenty:leaves2:2>]]);
recipes.addShaped(<Thaumcraft:blockStairsEldritch> * 4, [[null, null, <Thaumcraft:blockCosmeticSolid:11>], [null, <Thaumcraft:blockCosmeticSolid:11>, <Thaumcraft:blockCosmeticSolid:11>], [<Thaumcraft:blockCosmeticSolid:11>, <Thaumcraft:blockCosmeticSolid:11>, <Thaumcraft:blockCosmeticSolid:11>]]);
recipes.addShaped(<Thaumcraft:blockStairsEldritch> * 4, [[<Thaumcraft:blockCosmeticSolid:11>, null, null], [<Thaumcraft:blockCosmeticSolid:11>, <Thaumcraft:blockCosmeticSolid:11>, null], [<Thaumcraft:blockCosmeticSolid:11>, <Thaumcraft:blockCosmeticSolid:11>, <Thaumcraft:blockCosmeticSolid:11>]]);
recipes.addShaped(<Thaumcraft:blockCosmeticSlabStone:1> * 6, [[<Thaumcraft:blockCosmeticSolid:11>, <Thaumcraft:blockCosmeticSolid:11>, <Thaumcraft:blockCosmeticSolid:11>], [null, null, null], [null, null, null]]);
recipes.addShaped(<Thaumcraft:blockTaint:2>, [[<minecraft:rotten_flesh>, <minecraft:rotten_flesh>, <minecraft:rotten_flesh>], [<minecraft:rotten_flesh>, <BiomesOPlenty:misc:3>, <minecraft:rotten_flesh>], [<minecraft:rotten_flesh>, <minecraft:rotten_flesh>, <minecraft:rotten_flesh>]]);
recipes.addShaped(<Thaumcraft:blockTaint:1> * 4, [[<Thaumcraft:ItemResource:12>, <Thaumcraft:ItemResource:11>, <Thaumcraft:ItemResource:12>], [<Thaumcraft:ItemResource:11>, <ore:dirt>, <Thaumcraft:ItemResource:11>], [<Thaumcraft:ItemResource:12>, <Thaumcraft:ItemResource:11>, <Thaumcraft:ItemResource:12>]]);

//Arcane Workbench Shaped ADD
mods.thaumcraft.Arcane.addShaped("DECONSTRUCTOR", <Thaumcraft:blockTable:14>, "perditio 20", [[null, <Thaumcraft:ItemThaumometer>, null], [<ImmersiveEngineering:tool>, <Thaumcraft:blockTable>, <ImmersiveEngineering:tool:1>], [null, <magicalcrops:1MinicioEssence>, null]]);

//Infusion Altar ADD
//ResearchString, MainInputStack, InputArray, AspectString, OutputStack, InstabilityAmount
mods.thaumcraft.Infusion.addRecipe("CORELUMBER", <Thaumcraft:ItemGolemCore:3>, [<Thaumcraft:ItemAxeElemental>, <TConstruct:metalPattern:4>, <TConstruct:metalPattern:17>], "instrumentum 16, arbor 16, meto 16", <Thaumcraft:ItemGolemCore:7>, 3);
mods.thaumcraft.Infusion.addRecipe("ARCANEBORE", <minecraft:piston>, [<minecraft:gold_ingot>, <minecraft:gold_ingot>, <Thaumcraft:blockWoodenDevice:6>, <Thaumcraft:blockWoodenDevice:6>, <Thaumcraft:ItemShard:3>, <Thaumcraft:ItemShard>, <TConstruct:shovelHead:31>, <TConstruct:pickaxeHead:31>], "perfodio 32, machina 32, potentia 16, vacuos 16, motus 16", <Thaumcraft:blockWoodenDevice:5>, 5);

//Thaumcraft Research Refresh Recipe
mods.thaumcraft.Research.refreshResearchRecipe("DECONSTRUCTOR");
mods.thaumcraft.Research.refreshResearchRecipe("CORELUMBER");
mods.thaumcraft.Research.refreshResearchRecipe("ARCANEBORE");